class CreatePComptaElements < ActiveRecord::Migration
  def change
    create_table :p_compta_elements do |t|
      t.string :element_type
      t.integer :element_id
      t.references :p_customer, index: true, foreign_key: true
      t.datetime :date
      t.decimal :amount, :precision => 13, :scale => 2
      t.boolean :solde, :default => false

      t.timestamps null: false
    end
  end
end
